API ReferenceSystem Widget Dashboards
Update Widget Instance
Update widget instance, identified by dashboardId and instanceId.
Authorization
bearerAuth superadmin, superuserAuthorization<token>
In: header
Scope: superadmin, superuser
Path Parameters
dashboardId*string
The dashboard's ID.
instanceId*string
The instance's ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X PUT "https://example.com/widgets/dashboards/system/string/widget-instances/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "widgetId": "string", "dashboardId": "string", "specOverride": { "property1": null, "property2": null }, "visualConfig": { "property1": null, "property2": null }, "widget": { "id": "string", "title": { "en": "string", "es": "string" }, "description": { "en": "string", "es": "string" }, "spec": { "property1": null, "property2": null }, "isSystem": true, "isFavorited": true, "featureRequirements": "string", "labels": "string", "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "thumbnailUrl": "string", "compressedThumbnailUrl": "string" }, "createdAt": "string", "updatedAt": "string", "deletedAt": "string"}